# CCD Board Testing Station Setup Mode File
#
# TEST SEQUENCE
# _7vii_
#
# HISTORY
# Version 1 - Peter Moore    - 22 AUG 2005 - Adapted from _ccdlabSTIS system    
# Version 2 - Peter Moore    - 28 SEP 2005 - Made to work with 8 outputs on fast machine
# Version 3 - Peter Moore    - 14 MAY 2008 - changed AVP names to use with mnsnBrdTest system config
#
# DESCRIPTION
# This test uses the offset DACs as a ramp generator to test dynamic range of the ADCs
# plus stability and noise of the offset voltage.
# Plots using IDL / ccdBrdTest should show consistent data spreads and no oscillation of
# levels.
# 
# Attribute Name  = Value   #Comments
panExpVector=16       # 16 = DO BIAS RAMP TEST        
seqRows=32            # Number of row data points for each offset step
seqCols=512           # Number of column data points
seqSpan=16            # Number of steps in ramp
seqCdsDly=60          # Delay between CTC pulses (in sequencer clocks) value of 20 gives 436Kpix/chan/sec
#
## Video channels setup (Low Gain)
CCD_ADCCFG[]=0
#
## Offset voltages setup
CCD_VOFFSETS[]=0   # Set all ADC offsets to beginning value

