# CCD Board Testing Station Setup Mode File
#
# TEST SEQUENCE
# _7_
#
# HISTORY
# Version 1 - Peter Moore    - 22 AUG 2005 - Adapted from _ccdlabSTIS system    
# Version 2 - Peter Moore    - 28 SEP 2005 - Made to work with 8 outputs on fast machine
# Version 3 - Peter Moore    - 14 MAY 2008 - changed AVP names to use with mnsnBrdTest system config
#
# DESCRIPTION
# This test uses the DOP port to simulate a ccd output level. Pin 34 of P2 to the preamp 
# inputs via a 30K Ohm serial resistor.
# 
# Attribute Name  = Value   #Comments
panExpVector=32       # DO FRONT END TESTS VIA DOP       
seqRows=512           # Number of row data points for each offset step
seqCdsDly=80          # Delay between CTC pulses (in sequencer clocks) value of 20 gives 436Kpix/chan/sec
seqDopDly=8           # Delay between CcdAcq seq start and DOP going low (in sequencer clocks)
#
## Video channels setup (High Gain + WARP)
CCD_ADCCFG[]=6
#
## Offset voltages setup
CCD_VOFFSETS[]=1024   # Set all ADC offsets to nominal value

