#####################################################################
# MONSOON Engineering Console
#
# MONSOON Board Test procedure FIle
#####################################################################
# 20040825 original version  by N. Buchholz
#  These are versions of test procedures useful in the lab for taking data
# the user may modify these to perform the required tests.
#
# the four global variables here are used to control sequencing of the 
# routines as follows:
#    expPending is set to true just before the startExp command. The mecParse
#         routine sets it to false when it gets the Exposure is done asyncMsg
#    expError is set to true if there was an error during the exposure.  It 
#         should be set to false just before a startExp and after any error 
#         is reported.
#    suppressRtnMsg is set to true is we wish to stop displaying the return 
#         messages from the PAN
#    messagePending is used to insure that all messages from the PAN have arrived
#         before turning the return message display back on.
####################################################################

proc cnb_Stg50 {} {

    seqDsbl

    socketSend "ppxSetAvp mcbSeqLoopRegs\[0\]=36"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[1\]=10"
    socketSend "ppxSetAvp dwnLdFdir=/usr/Monsoon/cfg/_mnsnBrdTest"
    socketSend "ppxSetMemCfg ClkBiasBrdTst50.ucd"
    socketSend "ppxSetAvp clkOutputEnable=0x0F"

    seqEnbl

}

proc cnb_Stg60 {} {

    seqDsbl

    socketSend "ppxSetAvp mcbSeqLoopRegs\[0\]=32"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[1\]=10"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[2\]=10"
    socketSend "ppxSetAvp dwnLdFdir=/usr/Monsoon/cfg/_mnsnBrdTest"
    socketSend "ppxSetMemCfg ClkBiasBrdTst60.ucd"
    socketSend "ppxSetAvp clkOutputEnable=0x0F"

    seqEnbl

}

proc cnb_Stg70 {} {

    seqDsbl

    socketSend "ppxSetAvp dwnLdFdir=/usr/Monsoon/cfg/_mnsnBrdTest"
    socketSend "ppxSetMemCfg ClkBiasBrdTst70.ucd"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[0\]=10"

    setRawAddr 6 0x0040 128 0x19
    setRawAddr 6 0x0041 1 0xE6
    setRawAddr 6 0x0051 1 0xE6
    setRawAddr 6 0x0061 1 0xE6
    setRawAddr 6 0x0071 1 0xE6
    setRawAddr 6 0x0081 1 0xE6
    setRawAddr 6 0x0091 1 0xE6
    setRawAddr 6 0x00A1 1 0xE6
    setRawAddr 6 0x00B1 1 0xE6

    socketSend "ppxSetAvp clkOutputEnable=0x0F"

    seqEnbl

}

proc cnb_Stg71 {} {

    seqDsbl

    socketSend "ppxSetAvp mcbSeqLoopRegs\[0\]=10"
    socketSend "ppxSetAvp dwnLdFdir=/usr/Monsoon/cfg/_mnsnBrdTest"
    socketSend "ppxSetMemCfg ClkBiasBrdTst71.ucd"

    setRawAddr 6 0x0040 1 0xE6
    setRawAddr 6 0x0041 1 0x19
    setRawAddr 6 0x0051 1 0x19
    setRawAddr 6 0x0061 1 0x19
    setRawAddr 6 0x0071 1 0x19
    setRawAddr 6 0x0081 1 0x19
    setRawAddr 6 0x0091 1 0x19
    setRawAddr 6 0x00A1 1 0x19
    setRawAddr 6 0x00B1 1 0x19

    socketSend "ppxSetAvp clkOutputEnable=0x0F"

    seqEnbl

}

proc cnb_Stg90 {} {

    seqDsbl

    socketSend "ppxSetAvp mcbSeqLoopRegs\[0\]=64"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[1\]=1"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[2\]=10"
    socketSend "ppxSetAvp mcbSeqLoopRegs\[3\]=1"
    socketSend "ppxSetAvp dwnLdFdir=/usr/Monsoon/cfg/_mnsnBrdTest"
    socketSend "ppxSetMemCfg ClkBiasBrdTst90.ucd"

    socketSend "ppxSetAvp clkOutputEnable=0x0F"

    seqEnbl
}
